<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.batch.mapper.KuaishouProgramCreativeMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_program_creative(
        id,
        account_id,
        unit_id,
        package_name,
        horizontal_photo_ids,
        vertical_photo_ids,
        cover_image_tokens,
        cover_image_urls,
        site_id,
        sticker_styles,
        cover_slogans,
        action_bar,
        captions,
        click_url,
        actionbar_click_url,
        put_status,
        view_status,
        view_status_reason,
        creative_category,
        creative_tag,
        creative_create_time,
        creative_update_time,
        create_time,
        update_time
        )
        values
        <foreach collection="programCreativeList" item="creative" separator=",">
            (
            #{creative.id},
            #{creative.accountId},
            #{creative.unitId},
            #{creative.packageName},
            #{creative.horizontalPhotoIds},
            #{creative.verticalPhotoIds},
            #{creative.coverImageTokens},
            #{creative.coverImageUrls},
            #{creative.siteId},
            #{creative.stickerStyles},
            #{creative.coverSlogans},
            #{creative.actionBar},
            #{creative.captions},
            #{creative.clickUrl},
            #{creative.actionbarClickUrl},
            #{creative.putStatus},
            #{creative.viewStatus},
            #{creative.viewStatusReason},
            #{creative.creativeCategory},
            #{creative.creativeTag},
            #{creative.creativeCreateTime},
            #{creative.creativeUpdateTime},
            #{creative.createTime},
            #{creative.updateTime})
        </foreach>
    </insert>


</mapper>
